Bug 1303016 - Enable GOST crypto engine in openssl package
Enable GOST crypto engine in openssl package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal 1406485
  Show dependency treegraph
 
Reported: 2016-01-29 05:11 EST by Nicholas Kudriavtsev
Modified: 2017-06-26 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: openssl-1.1.0f-4.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1406485 (view as bug list)
Environment:
Last Closed: 2017-06-25 12:20:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Kudriavtsev 2016-01-29 05:11:38 EST
Please enable GOST (State Standard for Russian Federation) crypto engine in openssl package.

Just remove "no-gost" from Configure statement in openssl.spec file. I tested build process for 1.0.2f, it went fine.
Comment 1 Jan Kurik 2016-02-24 10:38:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2017-06-23 11:38:23 EDT
openssl-1.1.0f-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-09d4464361
Comment 3 Fedora Update System 2017-06-24 21:19:23 EDT
openssl-1.1.0f-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-09d4464361
Comment 4 Fedora Update System 2017-06-25 12:20:43 EDT
openssl-1.1.0f-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Mraz 2017-06-26 03:10:10 EDT
Note that in Fedora 26 and Rawhide the openssl supports just using the GOST algorithm from an external engine so for the support to really work the external GOST engine has to be packaged for Fedora. Anybody with packaging rights for Fedora who is interested in the GOST support can do this job. I will not do it on my own.

Note You need to log in before you can comment on or make changes to this bug.